Bug 119873 - [PATCH] mail/courier-imap startup scripts
[PATCH] mail/courier-imap startup scripts
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: ade
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-21 21:00 UTC by ade
Modified: 2008-01-27 00:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ade freebsd_committer 2008-01-21 21:00:04 UTC
	mail/courier-imap use USE_RC_SUBR in the older manner, and
	as such the Makefile is a little messy.

	Patch at:

	http://people.FreeBSD.org/~ade/courier-imap.diff

	addresses the Makefile and pkg-plist.

	However, there is the question of whether or not to repocopy
	the four startup scripts in files/ from {foo}.sh to {foo}.in
	(there is minimal history associated with them).

Fix: 

Apply patch.  Repocopy (or not).  Commit ;)
How-To-Repeat: 	Patch above has been approved by port maintainer (oliver),
	the issue is associated with the repocopy (or not).
Comment 1 Edwin Groothuis freebsd_committer 2008-01-21 21:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 ade freebsd_committer 2008-01-21 21:04:46 UTC
State Changed
From-To: open->repocopy

Over to portmgr to determine whether repocopy should or should not 
happen.  Please reassign back to me (ade) when done - I have maintainer 
approval. 


Comment 3 ade freebsd_committer 2008-01-21 21:04:46 UTC
Responsible Changed
From-To: oliver->portmgr

Over to portmgr to determine whether repocopy should or should not 
happen.  Please reassign back to me (ade) when done - I have maintainer 
approval.
Comment 4 Joe Marcus Clarke freebsd_committer 2008-01-26 06:26:53 UTC
State Changed
From-To: repocopy->open

Repocopies complete. 


Comment 5 Joe Marcus Clarke freebsd_committer 2008-01-26 06:26:53 UTC
Responsible Changed
From-To: portmgr->ade

Repocopies complete.
Comment 6 ade freebsd_committer 2008-01-27 00:04:51 UTC
State Changed
From-To: open->closed

Patch applied.
Comment 7 dfilter freebsd_committer 2008-01-27 00:04:51 UTC
ade         2008-01-27 00:04:46 UTC

  FreeBSD ports repository

  Modified files:
    mail/courier-imap    Makefile pkg-plist 
  Removed files:
    mail/courier-imap/files courier-imap-imapd-ssl.sh 
                            courier-imap-imapd.sh 
                            courier-imap-pop3d-ssl.sh 
                            courier-imap-pop3d.sh 
  Log:
  Rework to use the newer USE_RC_SUBR method
  
  PR:             119873
  Submitted by:   ade
  Approved by:    oliver (maintainer)
  
  Revision  Changes    Path
  1.124     +4 -10     ports/mail/courier-imap/Makefile
  1.5       +0 -46     ports/mail/courier-imap/files/courier-imap-imapd-ssl.sh (dead)
  1.5       +0 -46     ports/mail/courier-imap/files/courier-imap-imapd.sh (dead)
  1.5       +0 -46     ports/mail/courier-imap/files/courier-imap-pop3d-ssl.sh (dead)
  1.5       +0 -46     ports/mail/courier-imap/files/courier-imap-pop3d.sh (dead)
  1.40      +0 -4      ports/mail/courier-imap/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"